<template>
    <div :id="id" ref="tooltip" class="mdc-tooltip" role="tooltip" aria-hidden="true">
        <div class="mdc-tooltip__surface">
            <slot></slot>
        </div>
    </div>
</template>
<script>
import { MDCTooltip } from '@material/tooltip';

export default {
    props: {
        id: {
            type: String,
            required: true,
        },
    },
    data() {
        return {
            tooltip: null,
        };
    },
    mounted() {
        this.tooltip = new MDCTooltip(this.$refs.tooltip);
    },
};
</script>
